The Item Tax object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
item_tax_template string required
tax_category string
valid_from string
maximum_net_rate number
minimum_net_rate number
The Item Tax object
{
  "id": "item-tax_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_tax_template": "item_tax_template_example",
  "tax_category": "tax_category_example",
  "valid_from": "valid_from_example",
  "maximum_net_rate": 0,
  "minimum_net_rate": 0
}
GET /api/stock/item-tax?parent_id={id}

List item taxs by parent

Returns all item taxs belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of item tax objects belonging to the parent.

GET /api/stock/item-tax?parent_id={id}
curl https://api.overplane.dev/api/stock/item-tax?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "item-tax_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "item_tax_template": "item_tax_template_example",
      "tax_category": "tax_category_example",
      "valid_from": "valid_from_example",
      "maximum_net_rate": 0,
      "minimum_net_rate": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/item-tax

Create a item tax

Creates a new item tax object.

Body parameters

idx integer
parent_id string required
parent_type string required
item_tax_template string required
tax_category string
valid_from string
maximum_net_rate number
minimum_net_rate number

Returns

Returns the newly created item tax object if the call succeeded.

POST /api/stock/item-tax
curl https://api.overplane.dev/api/stock/item-tax \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example","item_tax_template":"item_tax_template_example"}'
Response
{
  "id": "item-tax_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_tax_template": "item_tax_template_example",
  "tax_category": "tax_category_example",
  "valid_from": "valid_from_example",
  "maximum_net_rate": 0,
  "minimum_net_rate": 0
}
PATCH /api/stock/item-tax/{id}

Update a item tax

Updates the specified item tax by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the item tax to update.

Body parameters

idx integer
parent_id string
parent_type string
item_tax_template string
tax_category string
valid_from string
maximum_net_rate number
minimum_net_rate number

Returns

Returns the updated item tax object.

PATCH /api/stock/item-tax/{id}
curl https://api.overplane.dev/api/stock/item-tax/item-tax_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "item-tax_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_tax_template": "item_tax_template_example",
  "tax_category": "tax_category_example",
  "valid_from": "valid_from_example",
  "maximum_net_rate": 0,
  "minimum_net_rate": 0
}
DELETE /api/stock/item-tax/{id}

Delete a item tax

Permanently deletes a item tax. This cannot be undone.

Path parameters

id string required

The identifier of the item tax to delete.

Returns

Returns a confirmation that the item tax has been deleted.

DELETE /api/stock/item-tax/{id}
curl https://api.overplane.dev/api/stock/item-tax/item-tax_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "item-tax_abc123",
  "deleted": true
}
POST /api/stock/item-tax/reorder

Reorder item taxs

Updates the sort order of item taxs within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/stock/item-tax/reorder
curl https://api.overplane.dev/api/stock/item-tax/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "item-tax_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_tax_template": "item_tax_template_example",
  "tax_category": "tax_category_example",
  "valid_from": "valid_from_example",
  "maximum_net_rate": 0,
  "minimum_net_rate": 0
}